﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Calendar;
using Android.Graphics;

namespace CustomSfCalendarAndroid
{
    [Activity(Label = "CustomSfCalendarAndroid", MainLauncher = true, Icon = "@mipmap/icon")]
    public class MainActivity : Activity
    {
		SfCalendar calendar;

        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            calendar = new SfCalendar(this);
            calendar.DrawMonthCell += HandleEventHandler;
            calendar.NavigationEnable = false;
            SetContentView(calendar);

        }

        void HandleEventHandler(object sender, SfCalendar.DrawMonthCellEventArgs e)
        {
            int day = e.P1.Date.Time.GetDate();
            if(day==21||day==15||day==19||day==25)
            {
                LinearLayout lay = new LinearLayout(this);
                lay.SetPadding(5,10,10,5);
                lay.Orientation = Orientation.Vertical;
                TextView datetext = new TextView(this) { Text = day.ToString(), TextSize = 10, TextAlignment = Android.Views.TextAlignment.Gravity, Gravity = Android.Views.GravityFlags.Right };
                datetext.SetTextColor(Color.Black);
                lay.AddView(datetext);
                TextView custom= new TextView(this) { Text = "4", TextSize = 11, TextAlignment = Android.Views.TextAlignment.Gravity, Gravity = Android.Views.GravityFlags.Right };
                custom.SetTextColor(Color.Red);
                lay.AddView(custom);
                e.P1.MonthCellView = lay;
            }
        }
    }
}

